Subject: Re: [PATCH v3 2/7] t3705: add tests for `git add` in sparse checkouts

From: Derrick Stolee <[email-masked]>
Date: Tue, 23 Mar 2021 16:00:11 -0400

On 3/12/21 5:47 PM, Matheus Tavares wrote:
> We already have a couple tests for `add` with SKIP_WORKTREE entries in
> t7012, but these only cover the most basic scenarios. As we will be
> changing how `add` deals with sparse paths in the subsequent commits,
> let's move these two tests to their own file and add more test cases
> for different `add` options and situations. This also demonstrates two
> options that don't currently respect SKIP_WORKTREE entries: `--chmod`
> and `--renormalize`.

I'm super-late to taking a look at this series, but I wanted
to point out how much I like this new test structure. In
particular, I appreciate that you point out undesirable
behavior with a failing test here that changes with your
correction in the next patch.

Thanks!
-Stolee